Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.amf.parameters.validation
Class AParJavaValidator

    java.lang.Object
      org.eclipse.xtext.validation.AbstractInjectableValidator
          org.eclipse.xtext.validation.AbstractDeclarativeValidator
              org.eclipse.amp.amf.abase.validation.AbstractABaseJavaValidator
                  org.eclipse.amp.amf.abase.validation.ABaseJavaValidator
                      org.eclipse.amp.amf.parameters.validation.AbstractAParJavaValidator
                          org.eclipse.amp.amf.parameters.validation.AParJavaValidator

All Implemented Interfaces:
  org.eclipse.emf.ecore.EValidator, org.eclipse.xtext.validation.ValidationMessageAcceptor

    public class AParJavaValidator

extends AbstractAParJavaValidator

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator
`org.eclipse.xtext.validation.AbstractDeclarativeValidator.State, org.eclipse.xtext.validation.AbstractDeclarativeValidator.StateAccess`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`org.eclipse.emf.ecore.EValidator.Descriptor, org.eclipse.emf.ecore.EValidator.PatternMatcher, org.eclipse.emf.ecore.EValidator.Registry, org.eclipse.emf.ecore.EValidator.SubstitutionLabelProvider, org.eclipse.emf.ecore.EValidator.ValidationDelegate`

Field Summary

Fields inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator
`CURRENT_LANGUAGE_NAME`

Fields inherited from interface org.eclipse.xtext.validation.ValidationMessageAcceptor
`INSIGNIFICANT_INDEX`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`AParJavaValidator()`

Method Summary

Methods inherited from class org.eclipse.amp.amf.parameters.validation.AbstractAParJavaValidator
`getEPackages`

Methods inherited from class org.eclipse.xtext.validation.AbstractDeclarativeValidator
`acceptError, acceptError, acceptInfo, acceptInfo, acceptWarning, acceptWarning, checkDone, createDiagnostic, createDiagnostic, error, error, error, error, error, error, error, getChain, getCheckMode, getContext, getCurrentMethod, getCurrentObject, getMessageAcceptor, guard, info, info, info, info, info, info, internalValidate, newInstance, setInjector, setMessageAcceptor, toDiagnosticSeverity, warning, warning, warning, warning, warning, warning, warning`

Methods inherited from class org.eclipse.xtext.validation.AbstractInjectableValidator
`getCurrentLanguage, isLanguageSpecific, isResponsible, register, validate, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AParJavaValidator

    public AParJavaValidator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD